## kn service

Manage Knative services

```
kn service
```

### Options

```
  -h, --help   help for service
```

### Options inherited from parent commands

```
      --cluster string      name of the kubeconfig cluster to use
      --config string       kn configuration file (default: ~/.config/kn/config.yaml)
      --context string      name of the kubeconfig context to use
      --kubeconfig string   kubectl configuration file (default: ~/.kube/config)
      --log-http            log http traffic
```

### SEE ALSO

* [kn](kn.md)	 - kn manages Knative Serving and Eventing resources
* [kn service apply](kn_service_apply.md)	 - Apply a service declaration
* [kn service create](kn_service_create.md)	 - Create a service
* [kn service delete](kn_service_delete.md)	 - Delete services
* [kn service describe](kn_service_describe.md)	 - Show details of a service
* [kn service export](kn_service_export.md)	 - Export a service and its revisions
* [kn service import](kn_service_import.md)	 - Import a service and its revisions (experimental)
* [kn service list](kn_service_list.md)	 - List services
* [kn service update](kn_service_update.md)	 - Update a service

